(* old tests for graph... *)

open Types

val nodes =
    [("two", Types.Hq, 0, 0),
     ("one", Types.RobberStart, 1, 0),
     ("zero", Types.Ordinary, 1, 1)]

val edges =
    [("zero", "one", Types.Foot),
     ("one", "zero", Types.Foot),
     ("zero", "two", Types.Foot),
     ("one",  "two", Types.Car)]

val graph = Graph.tograph (nodes, edges)
            handle Graph.Graph s => (print ("Graph: " ^ s); raise Fail "")
